%MATLAB: p12.m
m=1; k=1; a=-k/m;
v0=1; vc=0.5; e0=vc-v0;
t=0:0.1:10;
[t,e]=ode45(@(t,e) a*e,t,e0);
v=vc-e; u=k*e;
subplot(211), plot(t,v), axis([0,10,0,1]);  grid, title('v(t)');
subplot(212), plot(t,u), axis([0,10,-1,0]); grid, title('u(t)');
