%MATLAB: p23.m
syms m ell g th(t) tau(t) 
dth=diff(th,t);
ddth=diff(th,t,2);
x=ell*sin(th(t));
y=ell*cos(th(t));
J=(1/3)*m*ell^2;
T=(1/2)*m*(diff(x,t)^2+diff(y,t)^2)+(1/2)*J*dth^2;
U=m*g*y;
L=T-U;
q=[th];
dq=[dth];
M=jacobian(jacobian(L,dq),dq);
CG=jacobian(jacobian(L,dq),q)*dq-jacobian(L,q).';
f=[dq; simplify(M\(-CG+tau))];
A=jacobian(f,[q;dq]);
A1=subs(A,th,0)
A2=subs(A,th,pi)
B=jacobian(f,tau);
B1=subs(B,th,0)
B2=subs(B,th,pi)