%MATLAB: p71.m
a=-1; b=1; Mx=1; Mu=1; q=1/Mx; r0=1/Mu
x0=1; t0=0; t=0:0.1:4;
%-----
rho=2; r=r0/rho;
f=1/b*(a+sqrt(a^2+(q/r)^2*b^2)); f1=f;
[t1,x1]=ode45(@(t,x) (a-b*f)*x,t,x0);
%-----
rho=4; r=r0/rho;
f=1/b*(a+sqrt(a^2+(q/r)^2*b^2)); f2=f;
[t2,x2]=ode45(@(t,x) (a-b*f)*x,t,x0);
%-----
rho=8; r=r0/rho;
f=1/b*(a+sqrt(a^2+(q/r)^2*b^2)); f3=f;
[t3,x3]=ode45(@(t,x) (a-b*f)*x,t,x0);
%-----
subplot(121),plot(t1,x1,t2,x2,t3,x3)
grid, axis([0 4 0 1]), xlabel('t'), ylabel('x(t)')
legend('rho=2','rho=4','rho=8'); 
subplot(122),plot(t1,-f1*x1,t2,-f2*x2,t3,-f3*x3)
grid, axis([0 4 -7 1]), xlabel('t'), ylabel('u(t)')
legend('rho=2','rho=4','rho=8'); 