%MATLAB: p81.m
m=1; kv=3; kI=1; 
AF=[-kv/m -kI/m;1 0]; 
ws=1; w=[1/m*ws;0];
v0=1; vc=0.5; x0=[vc-v0;0];
t0=0; t=0:0.1:20;
[t,x]=ode45(@(t,x) AF*x+w,t,x0);
v=vc-x(:,1); d=-kI*x(:,2); 
subplot(211), plot(t,v), grid, title('v(t)')
subplot(212), plot(t,d), grid, title('xI(t)')
