%MATLAB: p62.m
T=1; a=-1/T; b=1/T;
x0=0; t=0:0.01:5; ut=1;
[t,x]=ode45(@(t,x) a*x+ut,t,x0);
plot(t,x,'--',[0,5],(1-1/exp(1))*[1,1])
grid, axis([0,5,0,1]), hold on
w=ginput(1), TT=w(1)
f=T/TT-1; g=T/TT;
[t1,x1]=ode45(@(t,x) (a-b*f)*x+g*ut,t,x0);
plot(t1,x1,TT,1-1/exp(1),'o')
legend('T=1','T specified')

