%MATLAB: p64.m
wn=1; K=1; x0=[0;0]; t0=0; t=0:0.1:10;
zeta=0.01;      [t1,x1]=ode45(@(t,x) f(t,x,zeta,wn),t,x0);
zeta=1/sqrt(2); [t2,x2]=ode45(@(t,x) f(t,x,zeta,wn),t,x0);
zeta=1.00;      [t3,x3]=ode45(@(t,x) f(t,x,zeta,wn),t,x0);
plot(t1,x1(:,1),t2,x2(:,1),t3,x3(:,1)), 
grid, xlabel('t'), ylabel('x(t)')
legend('z=0.01','z=1/sqrt(2)','z=1');
%---
hold on
w=ginput(1),Tp=w(1),p0=w(2)
plot(w(1),w(2),'og')
p0=p0-1
zeta=sqrt(log(p0)^2/(log(p0)^2+pi^2))
wn=sqrt(log(p0)^2+pi^2)/Tp
%---
function dx=f(t,x,zeta,wn)
  dx=[0 1;-wn^2 -2*zeta*wn]*x+[0; wn^2], 
end