%MATLAB: p70.m
%-----
 close all
 a=-1; b=1;
 f=-1:0.1:10;
 q=1; r=1;
 Jx=-q^2./(2*(a-b*f));
 Ju=-(r^2*f.^2)./(2*(a-b*f));
 J=Jx+Ju;
 F1=-1+sqrt(1+q^2/r^2)
 yF1=-(q^2+r^2*F1^2)/(2*(a-b*F1))
 figure(1)
 subplot(121),plot(f,Jx,f,Ju,f,J), hold on
 plot(F1,yF1,'o')
 set(gca,'Ytick',[0 1 2 3 4 5 6],'fontsize',15)
 set(gca,'Xtick',[0 2 4],'fontsize',15)
 xlabel('\it f','fontsize',15)
 ylabel('\it J=Jx+Ju','fontsize',15)
 title('\it a=-1','fontsize',15)
 text(3,0.25,'\it Jx','fontsize',15)
 text(3,1,'\it Ju','fontsize',15)
 text(3,1.6,'\it J','fontsize',15)
 axis([-1 5 0 6]),grid
%-----
 a=1; b=1;
 f=-1:0.1:10;
 q=1; r=1;
 Jx=-q^2./(2*(a-b*f));
 Ju=-(r^2*f.^2)./(2*(a-b*f));
 J=Jx+Ju;
 F2=1+sqrt(1+q^2/r^2)
 yF2=-(q^2+r^2*F2^2)/(2*(a-b*F2))
 figure(1)
 subplot(122),plot(f,Jx,f,Ju,f,J), hold on
 plot(F2,yF2,'o')
 set(gca,'Ytick',[0 1 2 3 4 5 6],'fontsize',15)
 set(gca,'Xtick',[0 2 4],'fontsize',15)
 xlabel('\it f','fontsize',15)
 ylabel('\it J=Jx+Ju','fontsize',15)
 title('\it a=1','fontsize',15)
 text(3,0.5,'\it Jx','fontsize',15)
 text(3,2,'\it Ju','fontsize',15)
 text(3,3,'\it J','fontsize',15)
 axis([-1 5 0 6]),grid
 print -deps fig5.1.1.eps
%-----
%eof
